## GstGLAPI

GstGLAPI — OpenGL API specific functionality

## Functions

gchar * | gst_gl_api_to_string ()
GstGLAPI | gst_gl_api_from_string ()
gchar * | gst_gl_platform_to_string ()
GstGLPlatform | gst_gl_platform_from_string ()

## Types and Values

enum | GstGLAPI
enum | GstGLPlatform
#define | GST_GL_API_GLES1_NAME
#define | GST_GL_API_GLES2_NAME
#define | GST_GL_API_OPENGL3_NAME
#define | GST_GL_API_OPENGL_NAME

## Includes

    #include <gst/gl/gl.h>

## Description

Provides some helper API for dealing with OpenGL API's and platforms

## Functions

### gst_gl_api_to_string ()

    gchar *
    gst_gl_api_to_string (GstGLAPI api);

#### Parameters

api | a GstGLAPI to stringify |

#### Returns

A space seperated string of the OpenGL api's enabled in `api`

### gst_gl_api_from_string ()

    GstGLAPI
    gst_gl_api_from_string (const gchar *api_s);

#### Parameters

api_s | a space seperated string of OpenGL apis |

#### Returns

The GstGLAPI represented by `api_s`

### gst_gl_platform_to_string ()

    gchar *
    gst_gl_platform_to_string (GstGLPlatform platform);

#### Parameters

platform | a GstGLPlatform to stringify |

#### Returns

A space seperated string of the OpenGL platforms enabled in `platform`

### gst_gl_platform_from_string ()

    GstGLPlatform
    gst_gl_platform_from_string (const gchar *platform_s);

#### Parameters

platform_s | a space seperated string of OpenGL platformss |

#### Returns

The GstGLPlatform represented by `platform_s`

## Types and Values

### enum GstGLAPI

#### Members

GST_GL_API_NONE | no API |
GST_GL_API_OPENGL | Desktop OpenGL up to and including 3.1. The compatibility profile when the OpenGL version is >= 3.2 |
GST_GL_API_OPENGL3 | Desktop OpenGL >= 3.2 core profile |
GST_GL_API_GLES1 | OpenGL ES 1.x |
GST_GL_API_GLES2 | OpenGL ES 2.x and 3.x |
GST_GL_API_ANY | Any OpenGL API |

### enum GstGLPlatform

#### Members

GST_GL_PLATFORM_NONE | no platform |
GST_GL_PLATFORM_EGL | the EGL platform used primarily with the X11, wayland and android window systems as well as on embedded Linux |
GST_GL_PLATFORM_GLX | the GLX platform used primarily with the X11 window system |
GST_GL_PLATFORM_WGL | the WGL platform used primarily on Windows |
GST_GL_PLATFORM_CGL | the CGL platform used primarily on OS X |
GST_GL_PLATFORM_EAGL | the EAGL platform used primarily on iOS |
GST_GL_PLATFORM_ANY | any OpenGL platform |

### GST_GL_API_GLES1_NAME

    #define GST_GL_API_GLES1_NAME "gles1"

The name for `GST_GL_API_GLES1` used in various places

### GST_GL_API_GLES2_NAME

    #define GST_GL_API_GLES2_NAME "gles2"

The name for `GST_GL_API_GLES2` used in various places

### GST_GL_API_OPENGL3_NAME

    #define GST_GL_API_OPENGL3_NAME "opengl3"

The name for `GST_GL_API_OPENGL3` used in various places

### GST_GL_API_OPENGL_NAME

    #define GST_GL_API_OPENGL_NAME "opengl"

The name for `GST_GL_API_OPENGL` used in various places

## See Also

GstGLDisplay, GstGLContext